classification
Title: In unittest.TestLoader.discover doc select the name of load_tests function
Type: enhancement Stage: resolved
Components: Documentation Versions: Python 3.5
process
Status: closed Resolution: fixed
Dependencies: Superseder:
Assigned To: docs@python Nosy List: BreamoreBoy, docs@python, ezio.melotti, michael.foord, py.user, python-dev
Priority: normal Keywords: patch

Created on 2013-08-13 18:24 by py.user, last changed 2014-10-02 10:39 by python-dev. This issue is now closed.

Files
File name Uploaded Description Edit
issue18729.diff py.user, 2013-08-13 18:24 review
Messages (3)
msg195092 - (view) Author: py.user (py.user) * Date: 2013-08-13 18:24
http://docs.python.org/3/library/unittest.html#unittest.TestLoader.discover
"If load_tests exists then discovery does not recurse into the package"
msg227977 - (view) Author: Mark Lawrence (BreamoreBoy) * Date: 2014-09-30 18:56
The patch simply adds backticks markup around load_tests.
msg228207 - (view) Author: Roundup Robot (python-dev) (Python triager) Date: 2014-10-02 10:39
New changeset 1e0156aef491 by Georg Brandl in branch '3.4':
Closes #18729: minor markup improvement.
https://hg.python.org/cpython/rev/1e0156aef491
History
Date User Action Args
2014-10-02 10:39:19python-devsetstatus: open -> closed

nosy: + python-dev
messages: + msg228207

resolution: fixed
stage: patch review -> resolved
2014-09-30 18:56:36BreamoreBoysetnosy: + BreamoreBoy

messages: + msg227977
versions: + Python 3.5, - Python 3.3, Python 3.4
2013-08-16 20:20:59ezio.melottisetnosy: + ezio.melotti, michael.foord

stage: patch review
2013-08-13 18:24:47py.usercreate